<script setup>
import {
  computed,
  ref,
  reactive,
  onMounted,
  onBeforeMount,
  onErrorCaptured,
} from "vue";
import { useStore } from "vuex";
import { useRouter, useRoute } from "vue-router";
import TitleBar from "@/components/TitleBar.vue";
import CardWidget from "@/components/CardWidget.vue";
import CardComponent from "@/components/CardComponent.vue";
import HospitalsTable from "@/components/HospitalsTable.vue";
import JbButton from "@/components/JbButton.vue";
import TitleSubBar from "@/components/TitleSubBar.vue";
import SearchBox from "@/components/SearchBox.vue";
import UserAvatar from "@/components/UserAvatar.vue";
import Institute from "@/api/institute";
import Account from "@/api/account";
import { useToast } from "vue-toastification";
const router = useRouter();
const route = useRoute();
const store = useStore();
const titleStack = ref(["Dashboard - All Hospitals"]);
const chartData = ref(null);
const toast = useToast();
// Hospital Details
var instituteCardList = reactive({ value: [] });
onMounted(() => {
  // Account data
  Account.get().then((data) => {
    console.log("Account", data?.success);
    if (data?.success) {
      store.commit("setUser", { user: data?.data, isLogin: true });
    } else {
      toast.error(data?.message);
    }
  });
  //Account Dashboard Data
  Account.getInstitute().then((data) => {
    console.log("Account-Institute", data?.success);
    console.log("Account-Institute", data?.data);
    instituteCardList.value = data?.data;
  });
  
});

const instituteCarditems = computed(() => {
  return instituteCardList.value;
});
const darkMode = computed(() => store.state.darkMode);
const error = ref(null);

</script>

<template>
      <section class="bg-gray-40 py-10 h-full pb-30">
        <span class="flex justify-between w-full px-10 py-2">
          <title-bar :title-stack="titleStack" />
          <jb-button
            class="btnColor hover:bg-pink-250 px-4 py-2"
            label="Add Hospital"
            to="/add-hospital"
            :small="buttonsSmall"
            :outline="buttonsOutline"
            :disabled="buttonsDisabled"
          />
        </span>
        <section class="px-0 md:px-6 py-6">
          <div class="md:flex mb-4 pl-4">
            <div class="md:w-3/5 w-full pr-6">
              <div class="grid grid-cols-1 gap-6 lg:grid-cols-2 mb-6">
                <span>
                  <card-widget
                    v-if="instituteCarditems"
                    trend="12%"
                    trend-type="up"
                    color="text-emerald-500"
                    :icon="mdiAccountMultiple"
                    :number="instituteCarditems.totalInstitute"
                    label="Hospitals"
                  />
                  <img
                    src="@/assets/icons/hospital.svg"
                    class="absolute -mt-20 ml-60 h-10"
                  />
                </span>
                <span>
                  <card-widget
                    v-if="instituteCarditems"
                    trend="12%"
                    trend-type="down"
                    color="text-blue-500"
                    :icon="mdiCartOutline"
                    :number="instituteCarditems.totalStaff"
                    label="Staff"
                  />
                  <img
                    src="@/assets/icons/staff.svg"
                    class="absolute -mt-20 ml-60 h-10"
                  />
                </span>
                <span>
                  <card-widget
                    v-if="instituteCarditems"
                    trend="Overflow"
                    trend-type="alert"
                    color="text-red-500"
                    :icon="mdiChartTimelineVariant"
                    :number="instituteCarditems.value"
                    label="Total Patients"
                  />
                  <img
                    src="@/assets/icons/patient.svg"
                    class="absolute -mt-20 ml-60 h-10"
                  />
                </span>
                <span>
                  <card-widget
                    v-if="instituteCarditems"
                    trend="Overflow"
                    trend-type="alert"
                    color="text-red-500"
                    :icon="mdiChartTimelineVariant"
                    :number="instituteCarditems.value"
                    label="High Risk Patients"
                  />
                  <img
                    src="@/assets/icons/risk-patient.svg"
                    class="absolute -mt-20 ml-60 h-10"
                  />
                </span>
              </div>
            </div>
            <div class="md:w-2/5 md:pr-0 pr-6 w-full md:px-4 px-0 pb-6">
              <div class="h-full md:col-span-2 lg:col-span-1">
                <div
                  class="h-full w-full flex p-6 border border-gray-40 bg-white dropShadow-outer"
                >
                  <div class="w-2/3">
                    <div class="flex mb-4">
                      <h3 class="text-3xl font-semibold text-pink-250"></h3>
                    </div>
                    <h5 class="text-base text-black-250 font-semibold">
                      Total Deliveries
                    </h5>

                    <div
                      class="w-full flex text-black-250 mt-4 text-xs font-semibold"
                    >
                      <div class="py-2 flex">
                        <img src="@/assets/icons/pink-dot.svg" />
                        <span class="px-1">Vaginal </span>
                      </div>
                      <div class="py-2 flex">
                        <img src="@/assets/icons/yellow-dot.svg" />
                        <span class="px-1">Surgical </span>
                      </div>
                    </div>
                  </div>
                  <div class="w-1/3">
                    <img
                      src="@/assets/icons/pie-chart.svg"
                      class="md:w-32 w-24"
                    />
                  </div>
                </div>
              </div>
            </div>
          </div>
          <!-- Hospital List Table Start -->
          <section class="px-4">
            <TitleSubBar :icon="mdiAccountMultiple" title="Hospital List" />
            <div class="mt-6" :icon="mdiMonitorCellphone" has-table>
              <hospitals-table />
            </div>
          </section>
        </section>
      </section> 
</template>
